Subject: Re: Czech attack to PGP

From: Florian Weimer <[email-masked]>
Date: 23 Mar 2001 01:28:16 +0100

[email-masked] writes:

> Then there is the issue that if we are changing the packet format, maybe
> we should make other changes as well.  Then, if we're changing the secret
> key packet format, should the public key packet be changed as well,
> which introduces interoperability and backwards-compatiblity problems.

It's certainly better to break compatibility explicitly than to
introduce a new interpretation of an existing data format (e.g. based
on packet length).  The former will result in clear error messages for
users of old software, the latter will cause obscure errors and
messages.

-- 
Florian Weimer 	                  [email-masked]
University of Stuttgart           http://cert.uni-stuttgart.de/
RUS-CERT                          +49-711-685-5973/fax +49-711-685-5898